Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfDisplayMemberModeType

    java.lang.Object
      java.lang.Enum<OdfDisplayMemberModeType>
          org.odftoolkit.odfdom.dom.type.table.OdfDisplayMemberModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfDisplayMemberModeType>

    public enum OdfDisplayMemberModeType

extends Enum<OdfDisplayMemberModeType>

DOM implementation of OpenDocument attribute table:display-member-mode.

Enum Constant Summary
`FROM_BOTTOM`
`FROM_TOP`

Method Summary
`static OdfDisplayMemberModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDisplayMemberModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDisplayMemberModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDisplayMemberModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FROM_TOP

    public static final OdfDisplayMemberModeType FROM_TOP

### FROM_BOTTOM

    public static final OdfDisplayMemberModeType FROM_BOTTOM

Method Detail

### values

    public static OdfDisplayMemberModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDisplayMemberModeType c : OdfDisplayMemberModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDisplayMemberModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDisplayMemberModeType>`
  Returns:
    return the name of OdfDisplayMemberModeType

### toString

    public static String toString(OdfDisplayMemberModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDisplayMemberModeType, see table:display-member-mode
  Returns:
    return the name of OdfDisplayMemberModeType

### enumValueOf

    public static OdfDisplayMemberModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDisplayMemberModeType
  Returns:
    return the constant of OdfDisplayMemberModeType, see table:display-member-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.